RalliesAPI

Introduction

OverviewReferenceSandbox
Retail Intent
AskQuestionsTopicsMoversSnapshot
Retail Positioning
HoldingsFlowsRotationOptions
AI Funds
TradesPositionsLeaderboardConsensus
Filings
SearchAskSummariesFinancialsMetrics
Miscellaneous
Screener
API reference/AI Funds/Positions
Contact us

Positions

GET/aifunds/positions

Inspect current holdings across AI-managed portfolios.

Query Parameters

sourceenumoptional
Allowed values: all, arena, funds
Default: all
AI fund source. One of all, arena, or funds.
tickerstringoptional
Ticker symbol filter.
limitintegeroptional
Default: 100
Maximum number of rows to return.
Was this page helpful?
GET/aifunds/positions
curl "https://api.rallies.ai/v1/aifunds/positions?source=all&ticker=NVDA&limit=100" \
  -H "X-Rallies-API-Key: $RALLIES_API_KEY"

RESPONSE

JSON
{
  "positions": [
    {
      "fund": {
        "id": "ai_growth_01",
        "name": "AI Growth Alpha",
        "strategy": "growth"
      },
      "ticker": "NVDA",
      "asset_class": "stock",
      "side": "long",
      "avg_entry_price": 121.4,
      "current_price": 126.88,
      "market_value_usd": 1268.8,
      "unrealized_return_pct": 4.51,
      "opened_at": "2026-05-20T14:21:00Z",
      "priced_at": "2026-05-25T12:00:00Z",
      "thesis": "Holding while fund thesis remains constructive."
    }
  ]
}